Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Error During Upgrade with New Store Manager Rate Topic   - - - - -

 
  • Chicago-BM
  • Member
  • Members
  • Join Date: 13-Mar 06
  • 46 posts

Posted 22 December 2006 - 12:34 AM #1

Hey everyone, I haven't been able to figure out how to upgrade. I even downloaded the new store manager, and still cant get it to work. Every time I try to upgrade, I get an error that says

Can't find "Done" marker in script "<b> Fatal error </b> Call to a member on a non-object in <b>/backup/utils.php</b> on line <b>243</b><br/>"

Any help is appreciated. Thanks!

 
  • roban
  • Senior Member
  • Moderators
  • Join Date: 23-Oct 06
  • 1132 posts

Posted 22 December 2006 - 01:32 AM #2

You are not alone in this. There is a post about a possible fix for this problem.

 
  • Chicago-BM
  • Member
  • Members
  • Join Date: 13-Mar 06
  • 46 posts

Posted 24 December 2006 - 08:42 PM #3

So I'm guessing there is no solution yet. If thats true, how can I update it manualy?

 
  • SWS
  • Senior Member
  • Members
  • Join Date: 30-Oct 06
  • 798 posts

Posted 24 December 2006 - 09:02 PM #4

What version are you upgrading from ?
How many mods do you have ???
[SIZE=3][/SIZE]

 

Posted 25 December 2006 - 02:38 AM #5

So I'm guessing there is no solution yet. If thats true, how can I update it manualy?


Step by step upgrade consists of 'Upgrade to next version'
Running SQL queries that are in the upgrade.sql file
Overwriting files with the new versions (1.3.4SP2)
re-authenticating the config.php file after install

1. Copy/Backup EVERYTHING
2. Keep a folder of the non-modified files that are going to be replaced, This greatly reduces your downtime if you can chuck the others in.
3. Backup your storefront skin
4. Backup you SQL database in FULL

5. Run SQL queries on the server, otherwise upload the upgrade.sql file to have it automated. I prefer to see the code to ensure no complications if there is a duplicate table (I noticed on called cc_info in 1.3.3-1.3.4Sp2)
6. Overwrite files with new versions.
7. 'reinstall' the cart with the values exactly as the backup config.php states.
8. Compare the config.php to the new, and duplicate information into the new one if something's a miss.
9. Install your skin.

10. Hope and pray you've got a working backup if s*it happens.

Good luck.
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.